diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-dynamic-bw-op-test.cc ns-3.44/src/wifi/test/wifi-dynamic-bw-op-test.cc
--- ns-3.43/src/wifi/test/wifi-dynamic-bw-op-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/wifi-dynamic-bw-op-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -27,8 +27,8 @@
 NS_LOG_COMPONENT_DEFINE("WifiDynamicBwOpTestSuite");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
  * Two BSSes, each with one AP and one non-AP STA, are configured to operate on
  * different channels. Specifically, the operating channel of BSS 1 is the secondary<X>
@@ -42,25 +42,25 @@
     /**
      * Constructor
      *
-     * \param channelStr channel setting strings for BSS 0 and BSS 1
-     * \param bss0Width width of the transmission in BSS 0 started when BSS 1 is transmitting
+     * @param channelStr channel setting strings for BSS 0 and BSS 1
+     * @param bss0Width width of the transmission in BSS 0 started when BSS 1 is transmitting
      */
     WifiUseAvailBwTest(std::initializer_list<std::string> channelStr, MHz_u bss0Width);
     ~WifiUseAvailBwTest() override;
 
     /**
      * Function to trace packets received by the server application in the given BSS
-     * \param bss the given BSS
-     * \param p the packet
-     * \param addr the address
+     * @param bss the given BSS
+     * @param p the packet
+     * @param addr the address
      */
     void L7Receive(uint8_t bss, Ptr<const Packet> p, const Address& addr);
     /**
      * Callback invoked when a PHY receives a PSDU to transmit
-     * \param bss the BSS the PSDU belongs to
-     * \param psduMap the PSDU map
-     * \param txVector the TX vector
-     * \param txPowerW the tx power in Watts
+     * @param bss the BSS the PSDU belongs to
+     * @param psduMap the PSDU map
+     * @param txVector the TX vector
+     * @param txPowerW the tx power in Watts
      */
     void Transmit(uint8_t bss, WifiConstPsduMap psduMap, WifiTxVector txVector, double txPowerW);
     /**
@@ -154,8 +154,8 @@
         client->SetAttribute("Interval", TimeValue(MicroSeconds(0)));
         client->SetRemote(m_sockets[0]);
         m_apDevices.Get(0)->GetNode()->AddApplication(client);
-        client->SetStartTime(Seconds(0));  // start now
-        client->SetStopTime(Seconds(1.0)); // stop in a second
+        client->SetStartTime(Seconds(0)); // start now
+        client->SetStopTime(Seconds(1));  // stop in a second
         client->Initialize();
 
         // after 1us (to allow for propagation delay), the largest idle primary
@@ -266,7 +266,7 @@
         client1->SetRemote(m_sockets[bss]);
         wifiApNodes.Get(bss)->AddApplication(client1);
         client1->SetStartTime(Seconds(0.5) + bss * MilliSeconds(500));
-        client1->SetStopTime(Seconds(2.0));
+        client1->SetStopTime(Seconds(2));
 
         // At time 1.5, start a transmission in BSS 1
         if (bss == 1)
@@ -278,14 +278,14 @@
             client2->SetRemote(m_sockets[bss]);
             wifiApNodes.Get(bss)->AddApplication(client2);
             client2->SetStartTime(Seconds(1.5));
-            client2->SetStopTime(Seconds(2.0));
+            client2->SetStopTime(Seconds(2));
         }
 
         Ptr<PacketSocketServer> server = CreateObject<PacketSocketServer>();
         server->SetLocal(m_sockets[bss]);
         wifiStaNodes.Get(bss)->AddApplication(server);
-        server->SetStartTime(Seconds(0.0));
-        server->SetStopTime(Seconds(2.0));
+        server->SetStartTime(Seconds(0));
+        server->SetStopTime(Seconds(2));
 
         // Trace received packets on non-AP STAs
         Config::ConnectWithoutContext("/NodeList/" + std::to_string(2 + bss) +
@@ -407,10 +407,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi dynamic bandwidth operation Test Suite
+ * @brief wifi dynamic bandwidth operation Test Suite
  */
 class WifiDynamicBwOpTestSuite : public TestSuite
 {
@@ -431,8 +431,9 @@
      *  BSS 1   │   52   │
      *          └────────┘
      */
-    AddTestCase(new WifiUseAvailBwTest({"{54, 40, BAND_5GHZ, 1}", "{52, 20, BAND_5GHZ, 0}"}, 20),
-                TestCase::Duration::QUICK);
+    AddTestCase(
+        new WifiUseAvailBwTest({"{54, 40, BAND_5GHZ, 1}", "{52, 20, BAND_5GHZ, 0}"}, MHz_u{20}),
+        TestCase::Duration::QUICK);
     /**
      *           ─── primary 40 ───
      *           primary20
@@ -445,8 +446,9 @@
      *                            └────────┴────────┘
      *                                      primary20
      */
-    AddTestCase(new WifiUseAvailBwTest({"{58, 80, BAND_5GHZ, 0}", "{62, 40, BAND_5GHZ, 1}"}, 40),
-                TestCase::Duration::QUICK);
+    AddTestCase(
+        new WifiUseAvailBwTest({"{58, 80, BAND_5GHZ, 0}", "{62, 40, BAND_5GHZ, 1}"}, MHz_u{40}),
+        TestCase::Duration::QUICK);
     /**
      *                                               ─────────── primary 80 ───────────
      *                                                       primary20
@@ -459,8 +461,9 @@
      *          └────────┴────────┴────────┴────────┘
      *                             primary20
      */
-    AddTestCase(new WifiUseAvailBwTest({"{50, 160, BAND_5GHZ, 5}", "{42, 80, BAND_5GHZ, 2}"}, 80),
-                TestCase::Duration::QUICK);
+    AddTestCase(
+        new WifiUseAvailBwTest({"{50, 160, BAND_5GHZ, 5}", "{42, 80, BAND_5GHZ, 2}"}, MHz_u{80}),
+        TestCase::Duration::QUICK);
 }
 
 static WifiDynamicBwOpTestSuite g_wifiDynamicBwOpTestSuite; ///< the test suite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-eht-info-elems-test.cc ns-3.44/src/wifi/test/wifi-eht-info-elems-test.cc
--- ns-3.43/src/wifi/test/wifi-eht-info-elems-test.cc	2024-10-09 16:41:10.136656800 -0700
+++ ns-3.44/src/wifi/test/wifi-eht-info-elems-test.cc	2025-03-09 16:55:49.807372600 -0700
@@ -27,10 +27,10 @@
 NS_LOG_COMPONENT_DEFINE("WifiEhtInfoElemsTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test Multi-Link Element (Basic variant) serialization and deserialization
+ * @brief Test Multi-Link Element (Basic variant) serialization and deserialization
  */
 class BasicMultiLinkElementTest : public HeaderSerializationTestCase
 {
@@ -45,9 +45,9 @@
      * Get a Multi-Link Element including the given Common Info field and the
      * given Per-STA Profile Subelements
      *
-     * \param commonInfo the given Common Info field
-     * \param subelements the given set of Per-STA Profile Subelements
-     * \return a Multi-Link Element
+     * @param commonInfo the given Common Info field
+     * @param subelements the given set of Per-STA Profile Subelements
+     * @return a Multi-Link Element
      */
     MultiLinkElement GetMultiLinkElement(
         const CommonInfoBasicMle& commonInfo,
@@ -583,10 +583,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test Reduced Neighbor Report serialization and deserialization
+ * @brief Test Reduced Neighbor Report serialization and deserialization
  */
 class ReducedNeighborReportTest : public HeaderSerializationTestCase
 {
@@ -603,10 +603,10 @@
     /**
      * Get a Reduced Neighbor Report element including the given operating channels
      *
-     * \param channel2_4It a channel in the 2.4 GHz band
-     * \param channel5It a channel in the 5 GHz band
-     * \param channel6It a channel in the 6 GHz band
-     * \return a Reduced Neighbor Report element
+     * @param channel2_4It a channel in the 2.4 GHz band
+     * @param channel5It a channel in the 5 GHz band
+     * @param channel6It a channel in the 6 GHz band
+     * @return a Reduced Neighbor Report element
      */
     ReducedNeighborReport GetReducedNeighborReport(PhyOpChannelIt channel2_4It,
                                                    PhyOpChannelIt channel5It,
@@ -649,7 +649,7 @@
         rnr.SetShortSsid(nbrId, 0, 0);
         rnr.SetBssParameters(nbrId, 0, 10);
         rnr.SetPsd20MHz(nbrId, 0, 50);
-        rnr.SetMldParameters(nbrId, 0, 0, 2, 3);
+        rnr.SetMldParameters(nbrId, 0, {0, 2, 3, 1, 1});
     }
 
     if (channel5It != WifiPhyOperatingChannel::m_frequencyChannels.cend())
@@ -666,14 +666,14 @@
         rnr.SetShortSsid(nbrId, 0, 0);
         rnr.SetBssParameters(nbrId, 0, 20);
         rnr.SetPsd20MHz(nbrId, 0, 60);
-        rnr.SetMldParameters(nbrId, 0, 0, 3, 4);
+        rnr.SetMldParameters(nbrId, 0, {0, 3, 4, 0, 1});
         // Add another TBTT Information Field
         rnr.AddTbttInformationField(nbrId);
         rnr.SetBssid(nbrId, 1, Mac48Address("00:00:00:00:01:05"));
         rnr.SetShortSsid(nbrId, 1, 0);
         rnr.SetBssParameters(nbrId, 1, 30);
         rnr.SetPsd20MHz(nbrId, 1, 70);
-        rnr.SetMldParameters(nbrId, 1, 0, 4, 5);
+        rnr.SetMldParameters(nbrId, 1, {0, 4, 5, 1, 0});
     }
 
     if (channel6It != WifiPhyOperatingChannel::m_frequencyChannels.cend())
@@ -690,7 +690,7 @@
         rnr.SetShortSsid(nbrId, 0, 0);
         rnr.SetBssParameters(nbrId, 0, 40);
         rnr.SetPsd20MHz(nbrId, 0, 80);
-        rnr.SetMldParameters(nbrId, 0, 0, 5, 6);
+        rnr.SetMldParameters(nbrId, 0, {0, 5, 6, 0, 0});
     }
 
     NS_LOG_DEBUG(info.str());
@@ -713,8 +713,8 @@
         if (channel2_4It != WifiPhyOperatingChannel::m_frequencyChannels.cend())
         {
             channel2_4It = WifiPhyOperatingChannel::FindFirst(0,
-                                                              0,
-                                                              0,
+                                                              MHz_u{0},
+                                                              MHz_u{0},
                                                               WIFI_STANDARD_80211be,
                                                               WIFI_PHY_BAND_2_4GHZ,
                                                               channel2_4It);
@@ -722,8 +722,8 @@
         if (channel5It != WifiPhyOperatingChannel::m_frequencyChannels.cend())
         {
             channel5It = WifiPhyOperatingChannel::FindFirst(0,
-                                                            0,
-                                                            0,
+                                                            MHz_u{0},
+                                                            MHz_u{0},
                                                             WIFI_STANDARD_80211be,
                                                             WIFI_PHY_BAND_5GHZ,
                                                             channel5It);
@@ -731,8 +731,8 @@
         if (channel6It != WifiPhyOperatingChannel::m_frequencyChannels.cend())
         {
             channel6It = WifiPhyOperatingChannel::FindFirst(0,
-                                                            0,
-                                                            0,
+                                                            MHz_u{0},
+                                                            MHz_u{0},
                                                             WIFI_STANDARD_80211be,
                                                             WIFI_PHY_BAND_6GHZ,
                                                             channel6It);
@@ -757,18 +757,18 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test serialization and deserialization of EHT capabilities IE
+ * @brief Test serialization and deserialization of EHT capabilities IE
  */
 class WifiEhtCapabilitiesIeTest : public HeaderSerializationTestCase
 {
   public:
     /**
      * Constructor
-     * \param is2_4Ghz whether the PHY is operating in 2.4 GHz
-     * \param channelWidth the supported channel width
+     * @param is2_4Ghz whether the PHY is operating in 2.4 GHz
+     * @param channelWidth the supported channel width
      */
     WifiEhtCapabilitiesIeTest(bool is2_4Ghz, MHz_u channelWidth);
     ~WifiEhtCapabilitiesIeTest() override = default;
@@ -776,17 +776,17 @@
     /**
      * Generate the HE capabilities IE.
      *
-     * \return the generated HE capabilities IE
+     * @return the generated HE capabilities IE
      */
     HeCapabilities GetHeCapabilities() const;
 
     /**
      * Generate the EHT capabilities IE.
      *
-     * \param maxMpduLength the maximum MPDU length in bytes
-     * \param maxAmpduSize the maximum A-MPDU size in bytes
-     * \param maxSupportedMcs the maximum EHT MCS supported by the PHY
-     * \return the generated EHT capabilities IE
+     * @param maxMpduLength the maximum MPDU length in bytes
+     * @param maxAmpduSize the maximum A-MPDU size in bytes
+     * @param maxSupportedMcs the maximum EHT MCS supported by the PHY
+     * @return the generated EHT capabilities IE
      */
     EhtCapabilities GetEhtCapabilities(uint16_t maxMpduLength,
                                        uint32_t maxAmpduSize,
@@ -795,41 +795,41 @@
     /**
      * Serialize the EHT capabilities in a buffer.
      *
-     * \param ehtCapabilities the EHT capabilities
-     * \return the buffer in which the EHT capabilities has been serialized
+     * @param ehtCapabilities the EHT capabilities
+     * @return the buffer in which the EHT capabilities has been serialized
      */
     Buffer SerializeIntoBuffer(const EhtCapabilities& ehtCapabilities);
 
     /**
      * Check that the given buffer contains the given value at the given position.
      *
-     * \param buffer the given buffer
-     * \param position the given position (starting at 0)
-     * \param value the given value
+     * @param buffer the given buffer
+     * @param position the given position (starting at 0)
+     * @param value the given value
      */
     void CheckSerializedByte(const Buffer& buffer, uint32_t position, uint8_t value);
 
     /**
      * Check the content of the EHT MAC Capabilities Information subfield.
      *
-     * \param buffer the buffer containing the serialized EHT capabilities
-     * \param expectedValueFirstByte the expected value for the first byte
+     * @param buffer the buffer containing the serialized EHT capabilities
+     * @param expectedValueFirstByte the expected value for the first byte
      */
     void CheckEhtMacCapabilitiesInformation(const Buffer& buffer, uint8_t expectedValueFirstByte);
 
     /**
      * Check the content of the EHT PHY Capabilities Information subfield.
      *
-     * \param buffer the buffer containing the serialized EHT capabilities
-     * \param expectedValueSixthByte the expected value for the sixth byte
+     * @param buffer the buffer containing the serialized EHT capabilities
+     * @param expectedValueSixthByte the expected value for the sixth byte
      */
     void CheckEhtPhyCapabilitiesInformation(const Buffer& buffer, uint8_t expectedValueSixthByte);
 
     /**
      * Check the content of the Supported EHT-MCS And NSS Set subfield.
-     * \param maxSupportedMcs the maximum EHT MCS supported by the PHY
+     * @param maxSupportedMcs the maximum EHT MCS supported by the PHY
      *
-     * \param buffer the buffer containing the serialized EHT capabilities
+     * @param buffer the buffer containing the serialized EHT capabilities
      */
     void CheckSupportedEhtMcsAndNssSet(const Buffer& buffer, uint8_t maxSupportedMcs);
 
@@ -852,15 +852,15 @@
 {
     HeCapabilities capabilities;
     uint8_t channelWidthSet = 0;
-    if ((m_channelWidth >= 40) && m_is2_4Ghz)
+    if ((m_channelWidth >= MHz_u{40}) && m_is2_4Ghz)
     {
         channelWidthSet |= 0x01;
     }
-    if ((m_channelWidth >= 80) && !m_is2_4Ghz)
+    if ((m_channelWidth >= MHz_u{80}) && !m_is2_4Ghz)
     {
         channelWidthSet |= 0x02;
     }
-    if ((m_channelWidth >= 160) && !m_is2_4Ghz)
+    if ((m_channelWidth >= MHz_u{160}) && !m_is2_4Ghz)
     {
         channelWidthSet |= 0x04;
     }
@@ -888,7 +888,7 @@
         (maxSupportedMcs >= 12) ? 1 : 0;
     capabilities.m_phyCapabilities.supportRx1024And4096QamForRuSmallerThan242Tones =
         (maxSupportedMcs >= 12) ? 1 : 0;
-    if (m_channelWidth == 20)
+    if (m_channelWidth == MHz_u{20})
     {
         for (auto maxMcs : {7, 9, 11, 13})
         {
@@ -914,7 +914,7 @@
                 maxMcs <= maxSupportedMcs ? 4 : 0);
         }
     }
-    if (m_channelWidth >= 160)
+    if (m_channelWidth >= MHz_u{160})
     {
         for (auto maxMcs : {9, 11, 13})
         {
@@ -926,7 +926,7 @@
                                                     maxMcs <= maxSupportedMcs ? 1 : 0);
         }
     }
-    if (m_channelWidth == 320)
+    if (m_channelWidth == MHz_u{320})
     {
         capabilities.m_phyCapabilities.support320MhzIn6Ghz = 1;
         for (auto maxMcs : {9, 11, 13})
@@ -979,7 +979,7 @@
 WifiEhtCapabilitiesIeTest::CheckEhtPhyCapabilitiesInformation(const Buffer& buffer,
                                                               uint8_t expectedValueSixthByte)
 {
-    CheckSerializedByte(buffer, 5, (m_channelWidth == 320) ? 0x02 : 0x00);
+    CheckSerializedByte(buffer, 5, (m_channelWidth == MHz_u{320}) ? 0x02 : 0x00);
     CheckSerializedByte(buffer, 6, 0x00);
     CheckSerializedByte(buffer, 7, 0x00);
     CheckSerializedByte(buffer, 8, 0x00);
@@ -994,7 +994,7 @@
 WifiEhtCapabilitiesIeTest::CheckSupportedEhtMcsAndNssSet(const Buffer& buffer,
                                                          uint8_t maxSupportedMcs)
 {
-    if (m_channelWidth == 20)
+    if (m_channelWidth == MHz_u{20})
     {
         CheckSerializedByte(buffer, 14, 0x21); // first byte of Supported EHT-MCS And NSS Set
         CheckSerializedByte(
@@ -1022,7 +1022,7 @@
             16,
             maxSupportedMcs >= 12 ? 0x43 : 0x00); // third byte of Supported EHT-MCS And NSS Set
     }
-    if (m_channelWidth >= 160)
+    if (m_channelWidth >= MHz_u{160})
     {
         CheckSerializedByte(buffer, 17, 0x12); // first byte of EHT-MCS Map (BW = 160 MHz)
         CheckSerializedByte(
@@ -1034,7 +1034,7 @@
             19,
             maxSupportedMcs >= 12 ? 0x12 : 0x00); // third byte of EHT-MCS Map (BW = 160 MHz)
     }
-    if (m_channelWidth == 320)
+    if (m_channelWidth == MHz_u{320})
     {
         CheckSerializedByte(buffer, 20, 0x34); // first byte of EHT-MCS Map (BW = 320 MHz)
         CheckSerializedByte(
@@ -1079,8 +1079,9 @@
                             9 +                          // EHT PHY Capabilities Information
                             expectedEhtMcsAndNssSetSize; // Supported EHT-MCS And NSS Set
 
-    auto mapType = m_channelWidth == 20 ? EhtMcsAndNssSet::EHT_MCS_MAP_TYPE_20_MHZ_ONLY
-                                        : EhtMcsAndNssSet::EHT_MCS_MAP_TYPE_NOT_LARGER_THAN_80_MHZ;
+    auto mapType = m_channelWidth == MHz_u{20}
+                       ? EhtMcsAndNssSet::EHT_MCS_MAP_TYPE_20_MHZ_ONLY
+                       : EhtMcsAndNssSet::EHT_MCS_MAP_TYPE_NOT_LARGER_THAN_80_MHZ;
 
     {
         maxMcs = 11;
@@ -1187,10 +1188,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test TID-To-Link Mapping information element serialization and deserialization
+ * @brief Test TID-To-Link Mapping information element serialization and deserialization
  */
 class TidToLinkMappingElementTest : public HeaderSerializationTestCase
 {
@@ -1198,10 +1199,10 @@
     /**
      * Constructor
      *
-     * \param direction The direction for the TID-to-link mapping
-     * \param mappingSwitchTime the Mapping Switching Time
-     * \param expectedDuration the Expected Duration
-     * \param mappings A TID-indexed map of the link sets the TIDs are mapped to
+     * @param direction The direction for the TID-to-link mapping
+     * @param mappingSwitchTime the Mapping Switching Time
+     * @param expectedDuration the Expected Duration
+     * @param mappings A TID-indexed map of the link sets the TIDs are mapped to
      */
     TidToLinkMappingElementTest(WifiDirection direction,
                                 std::optional<Time> mappingSwitchTime,
@@ -1276,10 +1277,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test EHT Operation information element serialization and deserialization
+ * @brief Test EHT Operation information element serialization and deserialization
  */
 class EhtOperationElementTest : public HeaderSerializationTestCase
 {
@@ -1287,16 +1288,16 @@
     /**
      * Constructor
      *
-     * \param params the EHT Operation Parameters field
-     * \param rxMaxNss0_7 RX max NSS that supports EHT MCS 0-7
-     * \param txMaxNss0_7 TX max NSS that supports EHT MCS 0-7
-     * \param rxMaxNss8_9 RX max NSS that supports EHT MCS 8-9
-     * \param txMaxNss8_9 TX max NSS that supports EHT MCS 8-9
-     * \param rxMaxNss10_11 RX max NSS that supports EHT MCS 10-11
-     * \param txMaxNss10_11 TX max NSS that supports EHT MCS 10-11
-     * \param rxMaxNss12_13 RX max NSS that supports EHT MCS 12-13
-     * \param txMaxNss12_13 TX max NSS that supports EHT MCS 12-13
-     * \param opInfo the EHT Operation Information field
+     * @param params the EHT Operation Parameters field
+     * @param rxMaxNss0_7 RX max NSS that supports EHT MCS 0-7
+     * @param txMaxNss0_7 TX max NSS that supports EHT MCS 0-7
+     * @param rxMaxNss8_9 RX max NSS that supports EHT MCS 8-9
+     * @param txMaxNss8_9 TX max NSS that supports EHT MCS 8-9
+     * @param rxMaxNss10_11 RX max NSS that supports EHT MCS 10-11
+     * @param txMaxNss10_11 TX max NSS that supports EHT MCS 10-11
+     * @param rxMaxNss12_13 RX max NSS that supports EHT MCS 12-13
+     * @param txMaxNss12_13 TX max NSS that supports EHT MCS 12-13
+     * @param opInfo the EHT Operation Information field
      */
     EhtOperationElementTest(const EhtOperation::EhtOpParams& params,
                             uint8_t rxMaxNss0_7,
@@ -1349,10 +1350,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief wifi EHT Information Elements Test Suite
+ * @brief wifi EHT Information Elements Test Suite
  */
 class WifiEhtInfoElemsTestSuite : public TestSuite
 {
@@ -1365,13 +1366,13 @@
 {
     AddTestCase(new BasicMultiLinkElementTest(), TestCase::Duration::QUICK);
     AddTestCase(new ReducedNeighborReportTest(), TestCase::Duration::QUICK);
-    AddTestCase(new WifiEhtCapabilitiesIeTest(false, 20), TestCase::Duration::QUICK);
-    AddTestCase(new WifiEhtCapabilitiesIeTest(true, 20), TestCase::Duration::QUICK);
-    AddTestCase(new WifiEhtCapabilitiesIeTest(false, 80), TestCase::Duration::QUICK);
-    AddTestCase(new WifiEhtCapabilitiesIeTest(true, 40), TestCase::Duration::QUICK);
-    AddTestCase(new WifiEhtCapabilitiesIeTest(true, 80), TestCase::Duration::QUICK);
-    AddTestCase(new WifiEhtCapabilitiesIeTest(false, 160), TestCase::Duration::QUICK);
-    AddTestCase(new WifiEhtCapabilitiesIeTest(false, 320), TestCase::Duration::QUICK);
+    AddTestCase(new WifiEhtCapabilitiesIeTest(false, MHz_u{20}), TestCase::Duration::QUICK);
+    AddTestCase(new WifiEhtCapabilitiesIeTest(true, MHz_u{20}), TestCase::Duration::QUICK);
+    AddTestCase(new WifiEhtCapabilitiesIeTest(false, MHz_u{80}), TestCase::Duration::QUICK);
+    AddTestCase(new WifiEhtCapabilitiesIeTest(true, MHz_u{40}), TestCase::Duration::QUICK);
+    AddTestCase(new WifiEhtCapabilitiesIeTest(true, MHz_u{80}), TestCase::Duration::QUICK);
+    AddTestCase(new WifiEhtCapabilitiesIeTest(false, MHz_u{160}), TestCase::Duration::QUICK);
+    AddTestCase(new WifiEhtCapabilitiesIeTest(false, MHz_u{320}), TestCase::Duration::QUICK);
     AddTestCase(
         new TidToLinkMappingElementTest(WifiDirection::DOWNLINK, std::nullopt, std::nullopt, {}),
         TestCase::Duration::QUICK);
